[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.MoveDataLeftMost

Move data to the nearest left element

## Declaration

Source position: avl_tree.pp line 125

`public procedure TAVLTree.MoveDataLeftMost(`
`var ANode: TAVLTreeNode`
`);`

## Arguments

`ANode` |  | Node whose data most be moved

## Description

MoveDataLeftMost moves the data from the node ANode to the nearest left location relative to Anode. It returns the new node where the data is positioned. The data from the former left node will be switched to ANode.

This operation corresponds to switching the current with the previous element in a list.

## See also

TAVLTree.MoveDataRightMost |  | Move data to the nearest right element